Jump to content
linuxserver.io

[Plugin] Linuxserver.io - Unraid Nvidia

2468 posts in this topic Last Reply

Recommended Posts

On 10/4/2020 at 12:10 PM, tkenn1s said:

UPDATE: Just did a HW transcode w/in Plex. As soon as the transcode stopped, the GPU went to P8. Is there a way I can get the GPU to P8 w/o having to run a transcode?

 

Apparently this is expected whenever you're running headless. You can force your GPU into P8 by:

  1. Enabling a dummy X-server
  2. Installing and running Nvidia's persistenced daemon
  3. Toggling persistence mode using nvidia-smi from /boot/config/go

I opted for #3 since I didn't want to have a bunch of stuff running just to get to a lower power mode. I added the following to the go file and it now boots into power state P8.

 

# enable nvidia persistence mode
if [ -x /usr/bin/nvidia-smi ]; then
  /usr/bin/nvidia-smi -pm 1
fi

 

  • Like 2

Share this post


Link to post

v6.9.0 beta30 uploaded

  • Like 4

Share this post


Link to post

What versions of the nvidia drivers does 6.9.0 beta30 use?

Share this post


Link to post
21 minutes ago, lp0101 said:

What versions of the nvidia drivers does 6.9.0 beta30 use?

There are no Nvidia drivers in unRAID itself (maybe some day).  The drivers are installed with this plugin.

Share this post


Link to post
2 minutes ago, Hoopster said:

There are no Nvidia drivers in unRAID itself (maybe some day).  The drivers are installed with this plugin.

I believe that's what the question was about.

Share this post


Link to post
Posted (edited)
26 minutes ago, lp0101 said:

What versions of the nvidia drivers does 6.9.0 beta30 use?

While unRAID themselves to not package drivers with the installation, the unRAID nVidia package installs 450.80.02 (for beta 29/30). I believe it is 440.... for 6.8.3 (stable)

Edited by xaositek
Updated version definition

Share this post


Link to post
2 minutes ago, xaositek said:

While unRAID themselves to not package drivers with the installation, the unRAID nVidia package installs 450.80.02 (for beta 29/30). I believe it is 440.... for 6.8.3 (stable)

Yeah. Unless the images have been updated recently, stable is on 440 which has busted P-states using Plex.

Share this post


Link to post
1 minute ago, tkenn1s said:

I believe that's what the question was about.

Then that should have been the question asked (driver version in the plugin). 

 

There are many users who assume the 6.9.0 unRAID betas contain Nvidia drivers since it has been mentioned several times by Limetech personnel that the inclusion of video drivers is something they are exploring in the 6.9 time frame.

Share this post


Link to post
Quote

 

Then that should have been the question asked (driver version in the plugin). 

 

 

We're on the forum thread for the unraid nvidia plugin. I figured that was implied.

Share this post


Link to post

I have some issues getting the Installation to Work on 6.8.3. The installation runs fine but after the Reboot i get a Kernel Panic 

kernel panic -not syncing VFS: unable to mount root fs on unknown block(0,0)

the normal Installation runs fine.

Did some research and it got suggested that the RAM could be an Issue, Replaced the Ram but with the same Result.

Ordered now a new Flash Drive that will arrive Tuesday i guess.

 

--Edit: Fixed the Issue by running the make bootable script after the Installation again. (thanks Stranger on Reddit)

Edited by Superbrain

Share this post


Link to post

I'm having issues with multiple crashes of unraid a week and I believe it's related to the Nvidia plugin. Every crash that I have a syslog for starts with this:

Oct 12 21:35:22 Mercury kernel: BUG: kernel NULL pointer dereference, address: 0000000000000402
Oct 12 21:35:22 Mercury kernel: #PF: supervisor read access in kernel mode
Oct 12 21:35:22 Mercury kernel: #PF: error_code(0x0000) - not-present page
Oct 12 21:35:22 Mercury kernel: PGD 0 P4D 0 
Oct 12 21:35:22 Mercury kernel: Oops: 0000 [#1] SMP NOPTI
Oct 12 21:35:22 Mercury kernel: CPU: 9 PID: 97523 Comm: php-fpm7 Tainted: P           O      5.8.12-Unraid #1

I can still login for a variable amount of time when this happens (max 10 minutes ish) and some things still work (changing settings, docker and VMs have always gone down). Inevitably it completely crashes and I cannot even ping or ssh into the machine requiring a hard reset to fix.

 

I believe it's related to the nvidia plugin due to a repeated line that mentions Nvidia:

Oct 12 21:35:22 Mercury kernel: Modules linked in: veth nvidia_uvm(O) xt_CHECKSUM ipt_REJECT ip6table_mangle ip6table_nat iptable_mangle ip6table_filter ip6_tables vhost_net tun vhost vhost_iotlb tap xt_nat iptable_filter xfs md_mod it87 hwmon_vid iptable_nat xt_MASQUERADE nf_nat ip_tables wireguard curve25519_x86_64 libcurve25519_generic libchacha20poly1305 chacha_x86_64 libchacha poly1305_x86_64 ip6_udp_tunnel udp_tunnel libblake2s blake2s_x86_64 libblake2s_generic bonding nvidia_drm(PO) nvidia_modeset(PO) nvidia(PO) edac_mce_amd crc32_pclmul rapl aesni_intel drm_kms_helper glue_helper btusb btrtl btbcm crypto_simd btintel ghash_clmulni_intel cryptd drm bluetooth kvm backlight syscopyarea sysfillrect sysimgblt fb_sys_fops wmi_bmof mxm_wmi ecdh_generic agpgart ahci alx crct10dif_pclmul mpt3sas nvme i2c_piix4 ecc crc32c_intel k10temp ccp i2c_core libahci mdio raid_class nvme_core button scsi_transport_sas wmi acpi_cpufreq

I've also seen a couple Reddit threads that have not exact but similar looking logs but none of the suggested fixes worked (I can't seem to find the threads again, otherwise I would have linked them).

 

I've attached the full syslog, any help would be greatly appreciated. Thanks!

 

edit: a little more info, not using the plex script but I do run nvidia-smi -pm 1 on first boot to fix the power state issues

 

edit 2: just had an identical crash on stock build disregard this 

syslog.txt

Edited by emnclarke
Added more info

Share this post


Link to post
2 minutes ago, emnclarke said:

believe it's related to the nvidia plugin

Do you have the problem with stock Unraid build? 

Share this post


Link to post
1 hour ago, trurl said:

Do you have the problem with stock Unraid build? 

Just had my fastest crash after a reboot and it was on a stock build. Thanks for reminding me to never make assumptions. Guess I have to keep looking for a possible cause...

Share this post


Link to post
On 10/7/2020 at 11:51 AM, CHBMB said:

v6.9.0 beta30 uploaded

Great version, work very well with the latest Plex server available (v 1.20.2.3402-0fec14d92), good job !

 

Works perfectly with the Quadro P2200 : gpu is used for both transcoding and decoding...

 

My Ryzen 2700X also benefits with this upgrade, cooler than with Unraid 6.8.3, and now the idle temp is 10°C less...

 

Here are the stats from my tiny itx low consumption Ryzen : i've downgraded the bios of the Asus B450 Gaming-ITX/ac to version 1.70 to enable Gpu-passthrough effortlessly and set the TDP of the CPU to 35 in bios.

 

(note for other users : this bios is just buggy, to modify values you must press F10 to enter boot selection menu then click on enter Setup, directly enter in bios won't work).

 

Now the power consumption while plex is transcoding is always below 110 Watts (with less than 10 viewers simultaneously), and is about 60 Watts while idle.

 

Capture.PNG

Edited by doobyns

Share this post


Link to post

Trying to download the latest drivers after 6.9.0 beta 30 update and the download is frozen at 33%. Any suggestions on how to proceed?

 

EDIT: Eventually it downloaded and worked.

 

image.png.6c3fc7c419f65d36bf94186bba43fa9d.png

Edited by Madman2012

Share this post


Link to post

I'm hoping someone could help me get my GTX 1060 to both Encode and Decode with hardware acceleration. 

I'm using some left over pc parts just to get started, but they've been working fine. 

I have an intel 4790K cpu with a Gigabyte Z97X-UD5H-BK motherboard. 

My appdata folder is on an nvme drive under Unassigned Devices. 

My transcoding folder is under appdata/PMSlinux folder on that nvme.

 

I installed the Unraid Nvidia plugin.

Installed the 6.8.3 image. 

Switched to the linux server plex docker. I was using the official plexinc docker. 

Added the --runtime=nvidia to extra parameters in the Advanced section.

Added my guid to the Nvidia Visible Devices parameter.

 

I started a movie and transcoded down in resolution, but gpustats and Plex shows only that Decoding is taking place. My cpu is still doing the Encode. 

This is much better than no hardware acceleration only, but since Plex finally got around to allowing both Decode and Encode to take place, I would like to take advantage of it. 

The GTX1060 does have both decode and encode chips per the matrix. 

 

Hopefully I just missed something silly and it's an easy fix that someone here could spot. 

Any help is much appreciated. 

Screenshot 2020-10-14 144906.png

Screenshot 2020-10-14 144929.png

Screenshot 2020-10-14 145252.png

Screenshot 2020-10-14 150329.png

Share this post


Link to post
19 minutes ago, FQs19 said:

I'm hoping someone could help me get my GTX 1060 to both Encode and Decode with hardware acceleration. 

I'm using some left over pc parts just to get started, but they've been working fine. 

I have an intel 4790K cpu with a Gigabyte Z97X-UD5H-BK motherboard. 

My appdata folder is on an nvme drive under Unassigned Devices. 

My transcoding folder is under appdata/PMSlinux folder on that nvme.

 

I installed the Unraid Nvidia plugin.

Installed the 6.8.3 image. 

Switched to the linux server plex docker. I was using the official plexinc docker. 

Added the --runtime=nvidia to extra parameters in the Advanced section.

Added my guid to the Nvidia Visible Devices parameter.

 

I started a movie and transcoded down in resolution, but gpustats and Plex shows only that Decoding is taking place. My cpu is still doing the Encode. 

This is much better than no hardware acceleration only, but since Plex finally got around to allowing both Decode and Encode to take place, I would like to take advantage of it. 

The GTX1060 does have both decode and encode chips per the matrix. 

 

Hopefully I just missed something silly and it's an easy fix that someone here could spot. 

Any help is much appreciated.

 

I think you should ask this kind of question in the topic for the support for the Linuxserver.io plex server : https://forums.unraid.net/topic/40463-support-linuxserverio-plex-media-server/

 

I'm using the legacy Plex Media Server docker image from plexinc, i can't help for your version...

 

try to use plex server from plexinc (latest version) and Nvidia unraid v6.9.0 beta30, i think it will solve all your problems... (i tried differents plex docker images and the less problematic was the plexinc image).

 

last advice, if you have at least than 16Gb ram and you are mainly using your server for plex, you should set your /transcode path to /tmp.

 

I will not talk anymore about that...

Share this post


Link to post
2 minutes ago, doobyns said:

 

I think you should ask this kind of question in the topic for the support for the Linuxserver.io plex server : https://forums.unraid.net/topic/40463-support-linuxserverio-plex-media-server/

 

I'm using the legacy Plex Media Server docker image from plexinc, i can't help for your version...

 

try to use plex server from plexinc (latest version) and Nvidia unraid v6.9.0 beta30, i think it will solve all your problems... (i tried differents plex docker images and the less problematic was the plexinc image).

 

last advice, if you have at least than 16Gb ram and you are mainly using your server for plex, you should set your /transcode path to /tmp.

 

I will not talk anymore about that...

I'll try that forum. 

I first tried using the official PlexInc docker. It did the same thing which is why I switched to the linux plex version. 

Thanks for the help. 

Share this post


Link to post

Any chance of getting the driver for unRAID stable (6.8.3) updated from 440 to 450?

 

[FFMPEG] - Driver does not support the required nvenc API version. Required: 10.0 Found: 9.1
 

Seems like the latest version of nvenc API requires >450 version of driver:

https://forum.manjaro.org/t/nvidia-nvenc-not-working-with-applications/2202/39

 

edit: VVV thanks, I was hoping to avoid using a beta, but apart from one plugin being incompatible, it went remarkably smoothly.

Edited by ConnectivIT

Share this post


Link to post
8 hours ago, ConnectivIT said:

Any chance of getting the driver for unRAID stable (6.8.3) updated from 440 to 450?

 

[FFMPEG] - Driver does not support the required nvenc API version. Required: 10.0 Found: 9.1
 

Seems like the latest version of nvenc API requires >450 version of driver:

https://forum.manjaro.org/t/nvidia-nvenc-not-working-with-applications/2202/39

My question and yours is answered here :

you can grab the drivers yourself and copy them over to the flash drive or upgrade to the beta. 

  • Like 1

Share this post


Link to post
16 hours ago, doobyns said:

 

I think you should ask this kind of question in the topic for the support for the Linuxserver.io plex server : https://forums.unraid.net/topic/40463-support-linuxserverio-plex-media-server/

 

I'm using the legacy Plex Media Server docker image from plexinc, i can't help for your version...

 

try to use plex server from plexinc (latest version) and Nvidia unraid v6.9.0 beta30, i think it will solve all your problems... (i tried differents plex docker images and the less problematic was the plexinc image).

 

last advice, if you have at least than 16Gb ram and you are mainly using your server for plex, you should set your /transcode path to /tmp.

 

I will not talk anymore about that...

Thank you for directing me to that forum. They answered my question. 

Share this post


Link to post

Incredible plugin, thanks so much for developing this - it's just what I need!

I'm looking for support though, I believe this is the correct place. If not, please point me in the right direction.

 

I have a single discrete graphics card in my tower, a GeForce GTX 1650. It's brand new, purchased specifically for this purpose. In my initial trials, I got that working with the Unraid Nvidia plugin almost immediately - simply installed the version which matched with the version of Unraid I was already running, shut down the server and installed the card, rebooted and it was ready to go (with tweaks to my Plex container of course).

 

It worked for about a day or two and then I ruined it all by forgetting the advice I'd heard from Space Invader One - that booting the server into GUI mode would obviously use the discrete graphics and make it unavailable to dockers and VMs. Okay, no problem I thought - I'll just reboot again and leave it to boot into the CLI as is the default.

 

Unfortunately though, ever since I did this I've had absolutely no luck in getting the card to be detected in the settings page for the plugin. It tells me I have 440.59 installed but that "No devices were detected".

 

If I look at the System Devices option in the Tools menu, I can clearly see that the card is found by the system:

IOMMU group 15:    [10de:1f82] 04:00.0 VGA compatible controller: NVIDIA Corporation TU117 [GeForce GTX 1650] (rev a1)
[10de:10fa] 04:00.1 Audio device: NVIDIA Corporation Device 10fa (rev a1)

 

Here is my syslinux configuration as I believe it may be relevant:

kernel /bzimage
append pcie_acs_override=downstream initrd=/bzroot

modprobe cpufreq_powersave

echo powersave > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
echo powersave > /sys/devices/system/cpu/cpu1/cpufreq/scaling_governor
echo powersave > /sys/devices/system/cpu/cpu2/cpufreq/scaling_governor
echo powersave > /sys/devices/system/cpu/cpu3/cpufreq/scaling_governor

I have tried uninstalling and reinstalling the plugin - both with and without the graphics card plugged in at the time of install, and I have also tried booting into the GUI mode whilst the graphics card is not present to ensure nothing is still claiming access to that card. I have also tried with and without the pcie_acs_override set in my syslinux config and I have also tried with and without vfio-pci.ids defined too. It was defined when it was originally working but it was pointing to hardware which was no longer present (so I suspect it wasn't really doing anything).

 

This card is listed as supported by that version of the Nvidia drivers, and as mentioned it was working initially, so I have no reason to believe the card is faulty or that it's incompatible.

 

Can anyone offer any insight into this?

Any help greatly appreciated,

 

Thanks!

 

EDIT:

Worth noting as well, I have not tried other versions of Unraid Nvidia - prior to version 6.8.3 of stock Unraid I was facing regular SQLite db corruption which is no good for me and I also am trying to keep well away from beta builds as it's not a test system, so I have only ever tried the Unraid Nvidia version 6.8.3.

Edited by Ninjadude101
Additional note about only having tried 6.8.3

Share this post


Link to post
9 hours ago, Ninjadude101 said:

Incredible plugin, thanks so much for developing this - it's just what I need!

I'm looking for support though, I believe this is the correct place. If not, please point me in the right direction.

 

I have a single discrete graphics card in my tower, a GeForce GTX 1650. It's brand new, purchased specifically for this purpose. In my initial trials, I got that working with the Unraid Nvidia plugin almost immediately - simply installed the version which matched with the version of Unraid I was already running, shut down the server and installed the card, rebooted and it was ready to go (with tweaks to my Plex container of course).

 

It worked for about a day or two and then I ruined it all by forgetting the advice I'd heard from Space Invader One - that booting the server into GUI mode would obviously use the discrete graphics and make it unavailable to dockers and VMs. Okay, no problem I thought - I'll just reboot again and leave it to boot into the CLI as is the default.

 

Unfortunately though, ever since I did this I've had absolutely no luck in getting the card to be detected in the settings page for the plugin. It tells me I have 440.59 installed but that "No devices were detected".

 

If I look at the System Devices option in the Tools menu, I can clearly see that the card is found by the system:


IOMMU group 15:    [10de:1f82] 04:00.0 VGA compatible controller: NVIDIA Corporation TU117 [GeForce GTX 1650] (rev a1)
[10de:10fa] 04:00.1 Audio device: NVIDIA Corporation Device 10fa (rev a1)

 

Here is my syslinux configuration as I believe it may be relevant:


kernel /bzimage
append pcie_acs_override=downstream initrd=/bzroot

modprobe cpufreq_powersave

echo powersave > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
echo powersave > /sys/devices/system/cpu/cpu1/cpufreq/scaling_governor
echo powersave > /sys/devices/system/cpu/cpu2/cpufreq/scaling_governor
echo powersave > /sys/devices/system/cpu/cpu3/cpufreq/scaling_governor

I have tried uninstalling and reinstalling the plugin - both with and without the graphics card plugged in at the time of install, and I have also tried booting into the GUI mode whilst the graphics card is not present to ensure nothing is still claiming access to that card. I have also tried with and without the pcie_acs_override set in my syslinux config and I have also tried with and without vfio-pci.ids defined too. It was defined when it was originally working but it was pointing to hardware which was no longer present (so I suspect it wasn't really doing anything).

 

This card is listed as supported by that version of the Nvidia drivers, and as mentioned it was working initially, so I have no reason to believe the card is faulty or that it's incompatible.

 

Can anyone offer any insight into this?

Any help greatly appreciated,

 

Thanks!

 

EDIT:

Worth noting as well, I have not tried other versions of Unraid Nvidia - prior to version 6.8.3 of stock Unraid I was facing regular SQLite db corruption which is no good for me and I also am trying to keep well away from beta builds as it's not a test system, so I have only ever tried the Unraid Nvidia version 6.8.3.

Post the output of lspci -k for the card.

Share this post


Link to post
5 minutes ago, saarg said:

Post the output of lspci -k for the card.

04:00.0 VGA compatible controller: NVIDIA Corporation TU117 [GeForce GTX 1650] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3fcb
        Kernel driver in use: nvidia
        Kernel modules: nvidia_drm, nvidia
04:00.1 Audio device: NVIDIA Corporation Device 10fa (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3fcb

 

Share this post


Link to post
1 hour ago, Ninjadude101 said:

04:00.0 VGA compatible controller: NVIDIA Corporation TU117 [GeForce GTX 1650] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3fcb
        Kernel driver in use: nvidia
        Kernel modules: nvidia_drm, nvidia
04:00.1 Audio device: NVIDIA Corporation Device 10fa (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3fcb

 

Looks good. I think there have been a few other 1650 owners having the same issue as you. I don't remember if they managed to solve it somehow or not. Check the previous post and you might find out.

Share this post


Link to post
Guest
This topic is now closed to further replies.